#!/bin/bash

set -e # fail on any error
set -u # treat unset variables as error

echo "__________Create MacOS package__________"
cd mac
xcodebuild -configuration Release
cd ..
packagesbuild -v mac/Parity.pkgproj
cd artifacts
echo "__________Sign Package__________"
productsign --sign 'Developer ID Installer: PARITY TECHNOLOGIES LIMITED (P2PX3JU8FT)' Parity\ Ethereum.pkg Parity\ Ethereum-signed.pkg
mv Parity\ Ethereum-signed.pkg "parity_"$VERSION"_macos_x86_64.pkg"

echo "_____ Calculating checksums _____"
rhash --md5 "parity_"$VERSION"_macos_x86_64.pkg" >> "parity_"$VERSION"_macos_x86_64.pkg.md5"
rhash --sha256 "parity_"$VERSION"_macos_x86_64.pkg" >> "parity_"$VERSION"_macos_x86_64.pkg.sha256"
