#!/bin/bash

set -e # fail on any error
set -u # treat unset variables as error
case ${CI_COMMIT_REF_NAME} in
  master|*v1.11*|gitlab) export GRADE="devel";;
  beta|*v1.10*) export GRADE="stable";;
  stable|*v1.9*) export GRADE="stable";;
  *) echo "No release" exit 0;;
esac
echo "__________Create snap package__________"
echo "Release channel :" $GRADE " Branch/tag: " $CI_COMMIT_REF_NAME

SNAP_PACKAGE="parity_"$VERSION"_"$BUILD_ARCH".snap"
echo $VERSION:$GRADE:$BUILD_ARCH
cat scripts/gitlab/templates/snapcraft.template.yaml | envsubst '$VERSION:$GRADE:$BUILD_ARCH' > snapcraft.yaml
snapcraft clean
snapcraft
echo "__________Post-processing snap package__________"
mv -v $SNAP_PACKAGE "artifacts/"
echo "_____ Calculating checksums _____"
cd artifacts
rhash --md5 $SNAP_PACKAGE -o $SNAP_PACKAGE".md5"
rhash --sha256 $SNAP_PACKAGE -o $SNAP_PACKAGE".sha256"
